> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-fix-nav-issues.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update organization member

> Updates organization member role.



## OpenAPI

````yaml /_specs/cloud-openapi.json patch /v1/organizations/{organizationId}/members/{userId}
openapi: 3.0.1
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/members/{userId}:
    patch:
      tags:
        - User management
      summary: Update organization member
      description: Updates organization member role.
      parameters:
        - in: path
          name: organizationId
          description: ID of the organization the member is part of.
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: userId
          description: ID of the user to patch
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberPatchRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    $ref: '#/components/schemas/Member'
        '400':
          description: >-
            The server cannot or will not process the request due to something
            that is perceived to be a client error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
components:
  schemas:
    MemberPatchRequest:
      properties:
        role:
          description: Role of the member in the organization.
          type: string
          enum:
            - admin
            - developer
    Member:
      properties:
        userId:
          description: >-
            Unique user ID. If a user is a member in multiple organizations this
            ID will stay the same.
          type: string
        name:
          description: Name of the member as set a personal user profile.
          type: string
        email:
          description: Email of the member as set in personal user profile.
          type: string
          format: email
        role:
          description: Role of the member in the organization.
          type: string
          enum:
            - admin
            - developer
        joinedAt:
          description: Timestamp the member joined the organization. ISO-8601.
          type: string
          format: date-time
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````